stages:
  - build
  - test
  
build_linux:
  stage: build
  image: "arwash.rdi:5000/lumos:latest"
  tags:
    - docker
  artifacts:
    paths:
      - build/linux/Release/test/test
  script:
    - cmake -S. -Bbuild -DCMAKE_BUILD_TYPE=Release
    - cmake --build build --parallel $(nproc)

test_linux:
  stage: test
  image: "arwash.rdi:5000/lumos:latest"
  dependencies:
    - build_linux
  tags:
    - docker
  script:
    - scp ninja@turtle.rdi:/home/ninja/cpp_team/prebuilt/linux/ffmpeg/ffmpeg /usr/bin
    - build/linux/Release/test/test

build_windows:
  stage: build
  tags:
    - windows_10_builder
  artifacts:
    paths:
      - build/windows/test/Release/
  script:
    - cmake -S. -Bbuild
    - cmake --build build --config Release --parallel $(nproc)
    - scp ninja@turtle.rdi:/home/ninja/cpp_team/prebuilt/windows/ffmpeg/ffmpeg.exe build/windows/test/Release/
    - cp ../../@rdi/3rdparties/windows/openmp/release/vcomp140.dll build/windows/test/Release/

test_windows:
  stage: test
  dependencies:
    - build_windows
  tags:
    - windows_7_tester
  script:
    - cp build/windows/test/Release/ffmpeg.exe /cygdrive/c/Windows/System32
    - ./build/windows/test/Release/test.exe
